﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using C1.WPF;
using C1.WPF.Docking;
using System.Xml.Linq;

namespace DockControlSaveLayout
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            // Clear and re-configure the dockControl from the settings
            if(!String.IsNullOrEmpty(Properties.Settings.Default.DockLayout))
            {
                XDocument doc = XDocument.Parse(Properties.Settings.Default.DockLayout);
                dockControl.Load(doc.Root, true);
            }

        }

        private void Window_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            // save the settings to an application setting
            C1DockSettings settings = dockControl.Save(true);
            // NOTE: Also make sure each C1DockXXX element is declared with x:Name set in XAML.
            
            var doc = new XDocument();
            doc.Add(settings.Root);
            Properties.Settings.Default.DockLayout = doc.ToString();
            Properties.Settings.Default.Save();
        }

     
    }
}
